@layer theme {
    @media (prefers-reduced-motion: no-preference) {
        @view-transition {
            navigation: auto;
        }
    }
}
@layer addon {

    .themeColor1 {
        background-color: var(--color1);
        &.templateBlocks {
            .block {
                background-color: var(--color-light);
            }
        }
    }

    .themeColor2 {
        background-color: var(--color2);
    }

    .themeColor3 {
        background-color: var(--color3);
        .button {
            &.outline {
                box-shadow: inset 0 0 0 1px var(--color-light);
                color: var(--color-light);
                &:hover {
                    @media (hover: hover) {
                        box-shadow: inset 0 0 0 1px var(--color-light);
                        color: var(--color-light);
                    }
                }
            }
        }
    }

    .themeColor4:not(.templateCover) {
        .button {
            &.primary {
                background-color: var(--color-dark);
                color: var(--color-light);
                &:hover {
                    @media (hover: hover) {
                        background-color: var(--color-dark);
                        color: var(--color-light);
                    }
                }
            }
            &.secondary {
                box-shadow: inset 0 0 0 1px rgba(30, 38, 57, 0.50);
                background: rgba(30, 38, 57, 0.29);
                -webkit-backdrop-filter: blur(60px);
                        backdrop-filter: blur(60px);            
                color: var(--color-dark);
                &:hover {
                    @media (hover: hover) {
                        background: rgba(30, 38, 57, 0.29);
                        color: var(--color-dark);
                    }
                }

            }
        }
    }

    .themeColor1:not(.templateCover, .split, .templateBackground) + .themeColor1:not(.split, .templateBackground),
    .themeColor2:not(.templateCover, .split, .templateBackground) + .themeColor2:not(.split, .templateBackground),
    .themeColor3:not(.templateCover, .split, .templateBackground) + .themeColor3:not(.split, .templateBackground),
    .themeColor4:not(.templateCover, .split, .templateBackground) + .themeColor4:not(.split, .templateBackground, .templateHistory),
    .themeColor1:not(.templateCover, .split, .templateBackground) + .templateBackground.withImage {
        padding-top: 0;
    }
    
}
@layer addon {


    h2:not(.title) {
        font-weight: normal;
        font-style: italic;
    }

    section:not(.templateCover, .templateBackground) {
        .intro {
            .title {
                @media (min-width: 56em) {
                    padding-left: 100px;
                    text-indent: -100px;
                }
                @media (--min-fablet) {
                    padding-left: 100px;
                    text-indent: -100px;
                }
            }
        }
    }
    .inner {
        .intro {
            .title {
                font-family: var(--font-basic);
                font-weight: 400;
                font-size: var(--xl-fontsize);
                line-height: var(--xl-lineheight);
                em {
                    font-family: var(--font-sub);
                    font-weight: 300;
                }
            }
        }
        .inner {
            .title {
                padding-left: initial!important;
                text-indent: initial!important;
                font-size: var(--l-fontsize);
                line-height: var(--l-lineheight);
            }
            .subTitle {
                font-size: var(--s-fontsize);
                line-height: var(--s-lineheight);
            }
        }
    }
}
@layer addon {
    .bodyContainer {
        overflow: hidden;
    }

    .show-mobile {
        display: none;
        @media (max-width: 56em) {
            display: block;
        }
        @media (--max-fablet) {
            display: block;
        }
    }

    .popup {
        .icon {
            opacity: 1;
            position: absolute;
            z-index: 2;
            bottom: calc(var(--padding) / 2);
            right: calc(var(--padding) / 2);
            border-radius: 100%;
            width: 32px;
            height: 32px;
            display: block;
            border: 1px solid var(--color-light);
            padding: 0;
            -webkit-backdrop-filter: blur(60px);
            backdrop-filter: blur(60px);
            color: var(--color-light);
            background: rgba(255, 255, 255, 0.29);
            transition: var(--transition);
            .templateHistory & {
                @media (min-width: 56em) {
                    bottom: var(--padding);
                    right: var(--padding);
                }
                @media (--min-fablet) {
                    bottom: var(--padding);
                    right: var(--padding);
                }
                @media (max-width: 56em) {
                    bottom: unset;
                    top: var(--padding);
                    right: var(--padding);
                    border-color: var(--color-dark);
                    color: var(--color-dark);
                }
                @media (--max-fablet) {
                    bottom: unset;
                    top: var(--padding);
                    right: var(--padding);
                    border-color: var(--color-dark);
                    color: var(--color-dark);
                }
            }
        }
        &:hover {
            @media (hover: hover) {
                .icon {
                    color: var(--color-dark);
                    background: var(--color-light);
                }
            }
        }
    }

        .caption {
            position: absolute;
            bottom: 0;
            left: 0;
            width: 100%;
            padding: calc(var(--padding) * 1.5);
            color: var(--color-light);
            background: linear-gradient(0deg,rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0) 100%);
            border-radius: var(--border-radius);
            border-top-left-radius: 0;
            border-top-right-radius: 0;
            font-size: var(--xs-fontsize);
            line-height: var(--xs-lineheight);
            .slideLeftFullBlock & {
                border-radius: 0;
                @media (max-width: 56em) {
                    height: fit-content;
                    top: unset;
                }
                @media (--max-fablet) {
                    height: fit-content;
                    top: unset;
                }
            }
            @media (max-width: 56em) {
                padding: var(--padding);
            }
            @media (--max-fablet) {
                padding: var(--padding);
            }
            &:empty {
                display: none;
            }
        }
}
@layer addon {
    :root {
        --color1:    #D7DED7;
        --color2:    #C7B1A3;
        --color3:	 #C36644;
        --color4:	 #49575A;

        --color-dark: #1E2639;
        --color-dark-15: rgba(30, 38, 57, 0.15);
        --color-light:#fff;
        --color-light-15:rgba(255, 255, 255, 0.15);

        --font-basic:    Aptos,sans-serif;
        --font-sub:      ivypresto-text,sans-serif;
        --font-color:   #1E2639;

        --button-hover:     var(--color-light);
        --button-padding:	20px 24px;
        --button-radius:	40px;

        --border-radius: 48px;

        --sliderGutter: 16px;

        /* XS FONTSIZE */
        --min-xs-fontsize: 0.9;
        --max-xs-fontsize: 1.125;
        --xs-lineheight: 1.25;

        /* S FONTSIZE */
        --min-s-fontsize: 1.5;
        --max-s-fontsize: 1.75;
        --s-lineheight: 1.35;
        
        /* FONTSIZES */
        --min-fontsize: 1.125;
        --max-fontsize: 1.25;
        --lineheight: 1.5;

        /* M FONTSIZE */
        --min-m-fontsize: 1.75;
        --max-m-fontsize: 2.5;
        --m-lineheight: 1;

        /* L FONTSIZE */
        --min-l-fontsize: 2.25;
        --max-l-fontsize: 4.5;
        --l-lineheight: 1;

        /* XL FONTSIZE */
        --min-xl-fontsize: 2.75;
        --max-xl-fontsize: 6.25;
        --xl-lineheight: 1;

        /* XXL FONTSIZE */
        --min-xxl-fontsize: 5.313;
        --max-xxl-fontsize: 9.375;
        --pref-xxl-fontsize: calc(calc(var(--min-xxl-fontsize) * 1rem) + (var(--max-xxl-fontsize) - var(--min-xxl-fontsize)) * ((calc(var(--max-viewport) * 1vw) - calc(var(--min-viewport) * 1rem)) / (var(--max-viewport) - var(--min-viewport))));
        --xxl-fontsize: clamp(calc(var(--min-xxl-fontsize) * 1rem), var(--pref-xxl-fontsize), calc(var(--max-xxl-fontsize) * 1rem));
        --xxl-lineheight: 1;


        /* OTHER */
        --border-radius:	48px;
        --plyr-color-main: var(--color4);

    }

    @media (max-width: 56em) {
        :root {
            --section:				64px;
            --gutter:				64px;
            --min-gutter:   		-64px;
            --padding: 				32px;
            --min-padding:   		-32px;
        }
    }

    @media (--max-fablet) {
        :root {
            --section:				64px;
            --gutter:				64px;
            --min-gutter:   		-64px;
            --padding: 				32px;
            --min-padding:   		-32px;
        }
    }
    @media (min-width: 56em) {
        :root {
            --section:				96px;
            --gutter:				64px;
            --min-gutter:   		-64px;
            --padding: 				32px;
            --min-padding:   		-32px;
        }
    }
    @media (--min-fablet) {
        :root {
            --section:				96px;
            --gutter:				64px;
            --min-gutter:   		-64px;
            --padding: 				32px;
            --min-padding:   		-32px;
        }
    }
    @media (min-width: 100em) {
        :root {
            --section:				96px;
            --gutter:				64px;
            --min-gutter:   		-64px;
        }
    }
    @media (--min-desktop) {
        :root {
            --section:				96px;
            --gutter:				64px;
            --min-gutter:   		-64px;
        }
    }

    /* scrollDown animation */
    @keyframes scroll-down {
        0% {
            transform: translate(0, 0);
        }
        50% {
            transform: translate(0, 5px);
        }
    }
}
@layer addon {
    .container {
        .inner {
            .buttons {
                @media (max-width: 56em) {
                    width: 100%;
                }
                @media (--max-fablet) {
                    width: 100%;
                }
                gap: calc(var(--padding) / 2);
            }
        }
    }
    .button {
        font-family: var(--font-basic);
        font-size: var(--fontsize);
        font-weight: 600;
        gap: 0;
        @media (max-width: 56em) {
            width: 100%;
        }
        @media (--max-fablet) {
            width: 100%;
        }
        .icon:first-of-type {
            width: 0;
            opacity: 0;
            margin-right: 0;
            transition: var(--transition);
        }
        .icon:last-of-type {
            width: 16px;
            margin-left: 10px;
            opacity: 1;
            transition: var(--transition);
        }
        &:hover {
            @media (hover: hover) {
                .icon:first-of-type {
                    width: 16px;
                    margin-right: 10px;
                    opacity: 1;
                }
                .icon:last-of-type {
                    width: 0;
                    margin-left: 0;
                    opacity: 0;
                }
            }
        }

        &.primary, &.submit {
            background-color: var(--color-light);
            color: var(--font-color);
            &:hover {
                @media (hover: hover) {
                    background-color: var(--color-light);
                    color: var(--font-color);
                }
            }
        }

        &.secondary, &.cancel {
            box-shadow: inset 0 0 0 1px rgba(255, 255, 255, 0.50);
            background: rgba(255, 255, 255, 0.29);
            -webkit-backdrop-filter: blur(60px);
                    backdrop-filter: blur(60px);            
            &:hover {
                @media (hover: hover) {
                    background: rgba(255, 255, 255, 0.29);
                    color: var(--color-light);
                }
            }
        }

        &.outline {
            box-shadow: inset 0 0 0 1px var(--color-dark);
            color: var(--color-dark);
            &:hover {
                @media (hover: hover) {
                    background-color: transparent;
                    box-shadow: inset 0 0 0 1px var(--color-dark);
                    color: var(--color-dark);
                }
            }
        }
        
        &.textLink {
            padding: 0;
            background: none;
            color: var(--font-color);
            border-radius: 0;
            &:after {display: none}

            &:hover {
                @media (hover: hover) {
                    background: none;
                    color: var(--button-hover);
                }
            }
        }

        &.delete {
            padding: 0;
            text-decoration: underline;
            text-underline-offset: 6px;
            background: none;
            color: var(--font-color);
            &:hover {
                @media (hover: hover) {
                    color: var(--button-hover);
                }
            }
        }

    }
}
@layer addon {
    .themeColor3 {
        h1, h2, .title, .subTitle, .content {
            color: var(--color-light);
        }
    }
    .themeColor4 {
        h1, h2, .title, .subTitle, .content {
            color: var(--color-dark);
        }
    }
    @media (max-width: 56em) {
        h1, h2, .title, .subTitle, .content {
            -webkit-hyphens: auto;
                    hyphens: auto;
            word-break: break-word;
            text-wrap: balance;
        }
    }
    @media (--max-fablet) {
        h1, h2, .title, .subTitle, .content {
            -webkit-hyphens: auto;
                    hyphens: auto;
            word-break: break-word;
            text-wrap: balance;
        }
    }
    @media (max-width: 56em) {
        .title + .content {
            margin-top: calc(var(--gutter) / 2);
        }
    }
    @media (--max-fablet) {
        .title + .content {
            margin-top: calc(var(--gutter) / 2);
        }
    }
}
@layer addon {
    .block {
        .intro {
            gap: initial;
            display: initial;
            padding-bottom: initial;
        }
    }
}
@layer addon {
    header {
        z-index: 10;
        
        .logo {
            color: var(--color-light);
            svg {
                display: block;
                width: auto;
                height: 64px;
                @media (max-width: 56em) {
                    height: 56px;
                }
                @media (--max-fablet) {
                    height: 56px;
                }
            }
            .menuOpen & {
                color: var(--color-dark);
            }
        }
        .nav {
            background: var(--color1);
            padding: calc(48px + (var(--padding) * 3)) var(--spacer);
            @media (max-width: 56em) {
                display: flex;
                flex-direction: column;
                padding-bottom: var(--padding);
                justify-content: space-between;
                height: 100svh;
                &:after {
                    content: "";
                    color: var(--color-dark);
                    opacity: 0.05;
                    background: url(../images/beeldmerk.svg) no-repeat right bottom;
                    width: 100%;
                    height: 100%;
                    display: block;
                    position: absolute;
                    bottom: 0;
                    right: 0;
                    pointer-events: none;
                }
            }
            @media (--max-fablet) {
                display: flex;
                flex-direction: column;
                padding-bottom: var(--padding);
                justify-content: space-between;
                height: 100svh;
                &:after {
                    content: "";
                    color: var(--color-dark);
                    opacity: 0.05;
                    background: url(../images/beeldmerk.svg) no-repeat right bottom;
                    width: 100%;
                    height: 100%;
                    display: block;
                    position: absolute;
                    bottom: 0;
                    right: 0;
                    pointer-events: none;
                }
            }
            @media (min-width: 56em) {
                -webkit-backdrop-filter: blur(60px);
                        backdrop-filter: blur(60px);
                background: rgba(255, 255, 255, 0.29);
                position: absolute;
                top: calc(var(--padding) + 6px);
                left: 50%;
                transform: translateX(-50%);
                padding: calc(var(--padding) / 2) var(--padding);
                border-radius: calc(var(--border-radius) / 3);
                border: 1.5px solid rgba(255, 255, 255, 0.50);
            }
            @media (--min-fablet) {
                -webkit-backdrop-filter: blur(60px);
                        backdrop-filter: blur(60px);
                background: rgba(255, 255, 255, 0.29);
                position: absolute;
                top: calc(var(--padding) + 6px);
                left: 50%;
                transform: translateX(-50%);
                padding: calc(var(--padding) / 2) var(--padding);
                border-radius: calc(var(--border-radius) / 3);
                border: 1.5px solid rgba(255, 255, 255, 0.50);
            }
            .menuLevel1 {
                gap: var(--padding);
                @media (min-width: 56em) {
                    gap: calc(var(--gutter) / 2);
                }
                @media (--min-fablet) {
                    gap: calc(var(--gutter) / 2);
                }
                li {
                    position: inherit;
                }
            }
            
            a, button {
                border: 0;
                padding: 0;
                font-weight: bold;
                font-size: var(--xs-fontsize);
                line-height: 1;
                gap: 5px;
                align-items: center;
                &:after {
                    display: none;
                }
                .icon {
                    height: 12px;
                    width: 12px;
                    margin-top: 2px;
                }
                @media (max-width: 56em) {
                    font-weight: normal;
                    font-size: var(--m-fontsize);
                }
                @media (--max-fablet) {
                    font-weight: normal;
                    font-size: var(--m-fontsize);
                }
                @media (hover: hover) {
                    &:hover {
                        text-decoration: none;
                        color: var(--color1);
                        @media (max-width: 56em) {
                            color: var(--color3);
                        }
                        @media (--max-fablet) {
                            color: var(--color3);
                        }
                    }
                }
                &[aria-expanded="true"] {
                    color: var(--color-dark);
                    @media (max-width: 56em) {
                        color: var(--color3);
                    }
                    @media (--max-fablet) {
                        color: var(--color3);
                    }
                }
                &[aria-current="page"] {
                    text-decoration: none;
                    @media (min-width: 56em) {
                        color: var(--color-dark);
                    }
                    @media (--min-fablet) {
                        color: var(--color-dark);
                    }
                }
            }

            .contact {
                display: none;
                @media (max-width: 56em) {
                    display: block;
                }
                @media (--max-fablet) {
                    display: block;
                }
            }
        }
        .hamburger {
            background: rgba(255, 255, 255, 0.29);
            -webkit-backdrop-filter: blur(60px);
                    backdrop-filter: blur(60px);
            border-radius: var(--gutter);
            border: 1px solid rgba(255, 255, 255, 0.50);
            .menuOpen & {
                background: var(--color1);
                -webkit-backdrop-filter: none;
                        backdrop-filter: none;
                border: 1px solid var(--color-dark);
            }
            span {
                width: 22px;
                background: none;
                &:before {top: -3px;}
                &:after {top: 3px;}
                .menuOpen & {
                    &:before, &:after {
                        top: 0;
                        background-color: var(--color-dark);
                    }
                }
            }
            
        }

        @media (max-width: 56em) {
            .subMenu {
                background: var(--color1);
                .goBack {
                    color: var(--color-dark);
                }
                .title {
                    color: var(--color-dark);
                    margin-bottom: calc(var(--gutter) / 2);
                }
                .menuLevel2 {
                    gap: calc(var(--gutter) / 2);
                }
                [role="menuitem"] {
                    color: var(--color-dark);
                }
            }
        }

        @media (--max-fablet) {
            .subMenu {
                background: var(--color1);
                .goBack {
                    color: var(--color-dark);
                }
                .title {
                    color: var(--color-dark);
                    margin-bottom: calc(var(--gutter) / 2);
                }
                .menuLevel2 {
                    gap: calc(var(--gutter) / 2);
                }
                [role="menuitem"] {
                    color: var(--color-dark);
                }
            }
        }

        @media (min-width: 56em) {
            .subMenu {
                width: 100%;
                transform: none;
                left: 0;
                border-radius: calc(var(--border-radius) / 3);
                -webkit-backdrop-filter: blur(60px);
                        backdrop-filter: blur(60px);
                background: rgba(255, 255, 255, 0.29);
                border: 1.5px solid rgba(255, 255, 255, 0.5);
                padding: var(--padding);
                background-image: url(../images/submenu.svg);
                background-position-x: right var(--padding);
                background-size: contain;
                background-repeat: no-repeat;
                &:before {
                    display: none;
                }
                .menuLevel2 {
                    gap: calc(var(--gutter) / 2);
                    a, button {
                        color: var(--color-light);
                        @media (hover: hover) {
                            &:hover {
                                text-decoration: none;
                                color: var(--color1);
                            }
                        }
                    }
                }
            }
        }

        @media (--min-fablet) {
            .subMenu {
                width: 100%;
                transform: none;
                left: 0;
                border-radius: calc(var(--border-radius) / 3);
                -webkit-backdrop-filter: blur(60px);
                        backdrop-filter: blur(60px);
                background: rgba(255, 255, 255, 0.29);
                border: 1.5px solid rgba(255, 255, 255, 0.5);
                padding: var(--padding);
                background-image: url(../images/submenu.svg);
                background-position-x: right var(--padding);
                background-size: contain;
                background-repeat: no-repeat;
                &:before {
                    display: none;
                }
                .menuLevel2 {
                    gap: calc(var(--gutter) / 2);
                    a, button {
                        color: var(--color-light);
                        @media (hover: hover) {
                            &:hover {
                                text-decoration: none;
                                color: var(--color1);
                            }
                        }
                    }
                }
            }
        }
    }
}
@layer addon {
    footer {
        background-color: var(--color1);
        padding-top: var(--section);
        @media (max-width: 56em) {
            padding-top: calc(var(--section) * 2);
        }
        @media (--max-fablet) {
            padding-top: calc(var(--section) * 2);
        }
        .footerContainer {
            align-items: center;
            @media (max-width: 56em) {
                gap: calc(var(--padding) * 1.5);
            }
            @media (--max-fablet) {
                gap: calc(var(--padding) * 1.5);
            }
        }        
        &:after {
            content: "";
            color: var(--color-dark);
            opacity: 0.05;
            background-image: url(../images/beeldmerk.svg);
            background-size: contain;
            background-repeat: no-repeat;
            background-position: left bottom;
            width: 100%;
            height: 100%;
            display: block;
            position: absolute;
            bottom: 0;
            left: var(--min-gutter);
            pointer-events: none;
            @media (max-width: 56em) {
                background-position: top left;
                left: 0;
            }
            @media (--max-fablet) {
                background-position: top left;
                left: 0;
            }
        }
        .footerLeft {
            @media (max-width: 56em) {
                width: 100%;
            }
            @media (--max-fablet) {
                width: 100%;
            }
            .logo {
                @media (max-width: 56em) {
                    width: 100%;
                }
                @media (--max-fablet) {
                    width: 100%;
                }
                svg {
                    width: 425px;
                    height: auto;
                    color: var(--color-dark);
                    @media (max-width: 56em) {
                        width: 100%;
                    }
                    @media (--max-fablet) {
                        width: 100%;
                    }
                }
            }

        }
        .footerRight {
            width: 50%;
            justify-content: space-between;
            align-items: center;
            @media (max-width: 56em) {
                width: 100%;
            }
            @media (--max-fablet) {
                width: 100%;
            }
            .menu {
                display: flex;
                flex-direction: column;
                gap: calc(var(--padding) / 2);
                @media (max-width: 56em) {
                    display: none;
                }
                @media (--max-fablet) {
                    display: none;
                }
                a {
                    color: var(--font-color);
                    display: flex;
                    align-items: center;
                    gap: calc(var(--gutter) / 2);
                    .icon {
                        border-radius: 100%;
                        width: 32px;
                        height: 32px;
                        display: block;
                        border: 1px solid var(--color-dark);
                        padding: 6px;
                        transition: var(--transition);
                    }
                    &:hover {
                        @media (hover: hover) {
                            .icon {
                                background: var(--color-dark);
                                color: var(--color-light);
                            }
                        }
                    }
                }
            }
            .contact {
                color: var(--font-color);
                .title {
                    display: block;
                    font-size: var(--s-fontsize);
                    margin-bottom: calc(var(--padding) / 2 );
                    font-family: var(--font-basic);
                    font-weight: normal;
                }
                .buttons {
                    margin-top: var(--padding);
                    .button {
                        height: 60px;
                        width: 100%;
                        transition: var(--transition);
                        .icon {
                            width: 16px;
                            margin-left: 10px;
                            margin-right: 0;
                            opacity: 1;
                        }
                        &:hover {
                            @media (hover: hover) {
                                background-color: var(--color-dark);
                                color: var(--color-light);
                            }
                        }
                    }
                }
            }

        }
        .footerBottom {
            display: flex;
            flex-wrap:wrap;
            column-gap: calc(var(--gutter) / 2);
            width: 100%;
            color: var(--font-color);
            font-size: var(--xs-fontsize);
            a {
                color: var(--font-color);
                transition: var(--transition);
                &:hover {
                    @media (hover: hover) {
                        color: var(--color3);
                    }
                }
            }
        }
    }
}
@layer addon {
    .templateCover {
        .media {
            &:before {
                content: "";
                width: 100%;
                height: 100%;
                position: absolute;
                z-index: 1;
                background: linear-gradient(0deg, rgba(0, 0, 0, 0.33) 0%);
            }
        }
    }
    @media (max-width: 56em) {
        .container {
            .inner {
                grid-column: auto;
                .grid {
                    display: flex;
                    flex-direction: column;
                }
            }
        }
    }
    @media (--max-fablet) {
        .container {
            .inner {
                grid-column: auto;
                .grid {
                    display: flex;
                    flex-direction: column;
                }
            }
        }
    }

    .templateBlocks, .templateCover + .templateContent, .templateMedia.mediaBottom.video {
        .inner {
            .intro {
                .content {
                    font-size: var(--s-fontsize);
                    line-height: var(--s-lineheight);
                }
            }
        }

    }
}
html { 
    scroll-behavior: smooth;
}